
include windows.inc
include kernel32.inc
include user32.inc
include gdi32.inc
include Comctl32.inc
include shell32.inc

includelib kernel32.lib
includelib user32.lib
includelib gdi32.lib
includelib Comctl32.lib
includelib shell32.lib

DlgProc					PROTO	:HWND,:UINT,:WPARAM,:LPARAM
DoToolBar				PROTO	:HWND,:DWORD,:DWORD,:DWORD,:DWORD
GetMaskColor			PROTO	:DWORD
DrawHotItem				PROTO	:DWORD
ToolbarSubClass			PROTO	:HWND,:UINT,:WPARAM,:LPARAM
RebarSubClass			PROTO	:HWND,:UINT,:WPARAM,:LPARAM
DrawCheckButton			PROTO	:HWND
UncheckTBButton			PROTO	:HWND
CheckIsThemeActive		PROTO


.data

UxthemeDLL				db 'uxtheme.dll',0
strIsThemeActive		db 'IsThemeActive',0
strSetWindowThemeProc	db 'SetWindowTheme',0
TbStrings1				db '   Tables',0,'   Quaries',0,'   Forms',0,'   Reports',0,'   Pages',0,'   Macros',0,'   Modules',0,0
TbStrings2				db '   Favorites',0,0
TbStrings3				db '   About',0,0
RbrObjects				db 'Objects',0
RbrGroups				db 'Groups',0
RbrAbout				db 'About',0
AboutMsg				db 'Ms Access Shift Menu 1.0',13,10,'Copyright  2007, Rudy Rooroh',13,10
                        db 'Email: asmsoft@hotmail.com',13,10,13,10
                        db 'Assembly is great, simple, powerful && fun of course',13,10,'Happy Coding :-)',0
strNull					db 0,0

MouseOverClassic		dd 00D2BDB6h
MsOvr_ChekedBtnClassic	dd 00B59285h
ChekedButtonClassic		dd 00D8D5D4h

MouseOverTheme			dd 00C2EEFFh
MsOvr_ChekedBtnTheme	dd 003E80FEh
ChekedButtonTheme		dd 006FC0FFh

.data?

hInstance				dd ?
hRebar					dd ?
hToolbar1				dd ?
hToolbar2				dd ?
hToolbar3				dd ?
MouseOverBrush			dd ?
MsOvr_ChekedBtnBrush	dd ?
ChekedButtonBrush		dd ?
BlackBrush				dd ?
ToolbarStyleID			dd ?
icex					INITCOMMONCONTROLSEX <>


.const

IDT_TOOLBAR1			equ 700
IDT_TOOLBAR2			equ 800
IDT_TOOLBAR3			equ 900


tbrbtns1             	TBBUTTON <0,IDT_TOOLBAR1,TBSTATE_ENABLED+TBSTATE_CHECKED,TBSTYLE_CHECKGROUP,0,0,>
                        TBBUTTON <1,IDT_TOOLBAR1+1,TBSTATE_ENABLED,TBSTYLE_CHECKGROUP,0,0,1>
                        TBBUTTON <2,IDT_TOOLBAR1+2,TBSTATE_ENABLED,TBSTYLE_CHECKGROUP,0,0,2>
                        TBBUTTON <3,IDT_TOOLBAR1+3,TBSTATE_ENABLED,TBSTYLE_CHECKGROUP,0,0,3>
                        TBBUTTON <4,IDT_TOOLBAR1+4,TBSTATE_ENABLED,TBSTYLE_CHECKGROUP,0,0,4>
                        TBBUTTON <5,IDT_TOOLBAR1+5,TBSTATE_ENABLED,TBSTYLE_CHECKGROUP,0,0,5>
                        TBBUTTON <6,IDT_TOOLBAR1+6,TBSTATE_ENABLED,TBSTYLE_CHECKGROUP,0,0,6>
ntbrbtns1				equ 7

tbrbtns2             	TBBUTTON <0,IDT_TOOLBAR2,TBSTATE_ENABLED,TBSTYLE_CHECKGROUP,0,0,0>
ntbrbtns2				equ 1

tbrbtns3            	TBBUTTON <0,IDT_TOOLBAR3,TBSTATE_ENABLED,TBSTYLE_CHECKGROUP,0,0,0>
ntbrbtns3				equ 1

;Res\ShiftMenuRes.rc
IDR_MENUIMG						equ 100
IDR_MENUIMG2					equ 101
IDR_MENUIMG3					equ 102

;ShiftMenu.dlg
IDD_MAINDIALOG					equ 1000
IDC_REB1						equ 1001
IDC_TBR1						equ 1002
IDC_TBR2						equ 1003
IDC_TBR3						equ 1004
IDC_STC1						equ 1005
IDC_RBN1						equ 1006
IDC_RBN2						equ 1007

;ShiftMenu.Rc



